#ifndef __SERIAL_H__
#define __SERIAL_H__

int serial_open(unsigned char *port);
void serial_drain(int fd);
int serial_send(int fd, unsigned char data);
int serial_recv(int fd, unsigned char *buf);
int serial_write(int fd, unsigned char *buf, int nobytes);
int serial_read(int fd, unsigned char *buf, int nobytes);
int serial_setup(int fd, int speed);
void serial_close(int fd);

#endif /* __SERIAL_H__ */
